<!--<table class="table table-striped">
    <thead>
        <tr>
        <th>Id</th>
        <td>Name</td>
        <td>View</td>
        </tr>
    </thead>

    <tbody>
        <tr *ngFor = "let product of products">
            <td>{{product.id}}</td>
            <td>{{product.name}}</td>
            <td><a routerLink = "../product-detail/{{product.id}}">View</a></td>
        </tr>
    </tbody>

</table> -->

<div class="section">
    <div class="container">
        <div class="image-carousel style2 flexslider" data-animation="slide" data-item-width="270" data-item-margin="30">
            <div class="flex-viewport" style="overflow: hidden; position: relative;">
                <ul *ngFor = "let product of products" class="slides image-box hotel listing-style1" style="width: 1000%; transition-duration: 0.6s; transform: translate3d(-300px, 0px, 0px);">
                   
                   
                    <li style="width: 270px; float: left; display: block;">
                        <article class="box">
                            <figure> <a href="#" class="hover-effect popup-gallery"><img width="270" height="160" alt="" [src]="product.imgPath" draggable="false"></a> </figure>
                            <div class="details"> <span class="price"><small>avg/night</small>{{product.price}}</span>
                                <h4 class="box-title">{{product.name}}</h4>
                                <div class="feedback">
                                    <div data-placement="bottom" data-toggle="tooltip" class="fa fa-star" title="" data-original-title="4 stars"><span style="width: 80%;" class=""></span></div> <span class="review">75 reviews</span>
                                </div>
                                <p class="description">For what reason would it be advisable for me to think about business content?</p>
                                <div class="action"> <a class="button btn-small" (click)="addToCart(product)" [class.disabled] = "isLinkDisabled">Add to Cart</a> <a class="button btn-small yellow popup-map" href="#" data-box="40.705631, -73.978003">VIEW Details</a> </div>
                            </div>
                        </article>
                    </li>

                </ul>
            </div>
        </div>
    </div>
</div>